.font-awesome {
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
  text-rendering: auto;
}
* {
  box-sizing: border-box;
  outline: none;
}
@keyframes l {
  to {
    clip-path: inset(0 -1ch 0 0);
  }
}
body {
  background-color: var(--background-color);
}
body .main-background {
  position: fixed;
  background-color: var(--background-color);
  background-repeat: no-repeat;
  background-attachment: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -100;
}
body .warning-text {
  color: var(--message-warning-color);
}
body .danger-color {
  color: var(--message-danger-color);
}
body a.no-styles {
  color: inherit;
  /* blue colors for links too */
  text-decoration: inherit;
  /* no underline */
}
body ul.no-bullets {
  list-style-type: none;
  padding: 0;
  margin: 0;
}
body .course-select-button-container {
  padding: 30px;
  border: 1px solid black;
  margin: 10px;
  font-size: 1.3rem;
  font-width: bold;
}
body .course-editor {
  border: 1px solid var(--border-color);
  border-radius: var(--border-radius-basic);
}
body .course-editor .rdw-editor-toolbar a {
  text-decoration: none;
  color: var(--text-color);
}
body .course-editor .rdw-editor-main {
  padding: 10px;
}
body .company-option .ico {
  font-size: 1.2rem;
  margin: 0;
}
body .company-option .name {
  font-size: 0.8rem;
}
body .company-option mark {
  padding: 0;
  background-color: var(--highlighter-color-green);
}
body .document-viewver-modal {
  padding: 0;
  width: 900px;
  margin: auto;
  overflow: visible;
  position: absolute;
  inset: 40px;
  border: 1px solid var(--border-color);
  background: var(--background-color);
  border-radius: 4px;
  outline: none;
}
body .document-viewver-modal iframe {
  height: calc(100vh - 148px) !important;
  max-height: 1200px;
}
body .loading-dots {
  font-weight: bold;
  display: inline-block;
  font-family: monospace;
  font-size: 30px;
  clip-path: inset(0 3ch 0 0);
  animation: l 1s steps(4) infinite;
}
body .shadow-container {
  box-shadow: 0 0 40px var(--default-box-shadow);
  border-radius: var(--border-radius-large);
  padding: 30px 50px;
  transition: width 1s;
}
body .main-container {
  width: calc(100vw - 50px);
  max-width: 1700px;
  box-shadow: 0 0 40px var(--default-box-shadow);
  border-radius: var(--border-radius-large);
  padding: 30px 50px;
  margin: auto auto 40px;
  transition: width 1s;
}
body .main-container.md {
  width: calc(100vw - 400px);
}
body .main-container .form-part {
  min-width: 400px;
}
body .main-container .serach-company-row {
  max-width: 500px;
  margin: auto;
}
body .main-container .serach-company-row .col:last-child {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
body .main-container .serach-company-row .col:last-child > button {
  height: 38px;
}
body .main-container .alert {
  margin-top: 15px;
}
body .main-container .row {
  margin-top: 10px;
}
body .main-container h4 {
  margin-top: 15px;
}
body .main-container .action-container {
  margin-top: 30px;
  text-align: center;
}
body .sectionTest :global .Select-control {
  height: 30px;
}
body .sectionTest :global .Select-placeholder {
  line-height: 20px;
}
body .sectionTest :global .Select-value {
  line-height: 26px !important;
}
body .sectionTest :global .Select-value-label {
  line-height: 26px;
}
body .sectionTest :global .Select-input {
  height: 26px;
}
body .react-select__menu {
  border-radius: var(--border-radius-basic);
  overflow: hidden;
}
body .react-select__menu > div {
  padding: 0;
}
body .react-select__control.react-select__control--is-focused {
  box-shadow: 0 0 0 1px var(--primary-color);
  border-color: var(--primary-color);
}
body .react-select__menu > div > div.react-select__option--is-selected {
  background: var(--button-hover-background);
  opacity: 1;
}
body .react-select__menu > div > div.react-select__option--is-focused {
  background: var(--button-background);
  color: var(--button-color);
}
body .ReactModal__Content {
  border-radius: var(--border-radius-large) !important;
}
body .ReactModal__Content > .modal-button-close {
  background-color: #c7c7c7;
  border: 1px solid #cfcece;
  cursor: pointer;
  display: block;
  font-size: 15px;
  padding: 3px 9px;
  position: absolute;
  right: 0;
  border-top-right-radius: var(--border-radius-basic);
}
body .ReactModal__Content > .file-modal-header {
  text-align: center;
  background: #efefef;
  border-top-left-radius: var(--border-radius-large);
  border-top-right-radius: var(--border-radius-large);
  font-weight: bold;
}
body .commonLoadingSpinner {
  opacity: 0.5;
  position: relative;
}
body .commonLoadingSpinner.blind > * {
  opacity: 0;
}
body .commonLoadingSpinner * {
  pointer-events: none;
}
body .commonLoadingSpinner:before {
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  content: "\f110";
  -webkit-animation: fa-spin 2s infinite linear;
  animation: fa-spin 2s infinite linear;
  font-size: 60px;
  position: absolute;
  top: calc(50% - 30px);
  left: calc(50% - 30px);
  z-index: 2;
  color: #222;
}
body .commonLoadingSpinner.btn:before {
  font-size: 20px;
  top: calc(50% - 15px);
  left: calc(50% - 15px);
}
body table td {
  overflow: hidden;
  text-overflow: ellipsis;
}
body table.first-col-id thead > tr > th:first-child,
body table.first-col-id tbody > tr > td:first-child {
  width: 60px;
}
body table tr.selected td {
  background-color: var(--button-background);
  color: var(--button-color) !important;
}
body .table-component-holder {
  padding: 0;
}
body .table-component-holder .container {
  padding: 0;
}
body .table-component-holder .table-actions-containert {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 10px;
}
body .table-component-holder .pagination-container .pagination-show-per-page {
  display: flex;
  align-items: center;
  padding-bottom: 12px;
  padding-top: 10px;
}
body .table-component-holder .pagination-container .pagination-show-per-page select {
  width: fit-content;
  margin-left: 10px;
  margin-right: 10px;
  height: 30px;
  padding: 0 30px 0 10px;
  text-align: center;
}
body .date-filter-comparator.simple-text {
  border: 0;
  width: 25px !important;
  pointer-events: none !important;
}
body .filter.date-filter-input.wide {
  width: calc(100% - 15px);
}
body table thead > tr > th {
  vertical-align: baseline;
  user-select: none;
}
body table thead > tr > th input,
body table thead > tr > th select {
  padding: 0 !important;
  padding-left: 5px !important;
  padding-top: 3px !important;
  padding-bottom: 3px !important;
  font-size: 0.9rem !important;
}
body table tr.evented {
  cursor: pointer;
}
body .head-line-separator {
  position: relative;
  text-align: center;
  margin-bottom: 15px;
}
body .head-line-separator h4 span {
  padding-left: 10px;
  padding-right: 10px;
  background-color: white;
}
body .head-line-separator:before {
  content: '';
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
  border-top: 1px solid #e6e6e6;
  margin: 0 auto;
}
body .main-nav {
  position: relative;
  min-height: 50px;
  padding-left: 80px;
  padding-top: 15px;
  margin-bottom: 20px;
  padding-bottom: 10px;
  border-bottom: 1px solid var(--border-color);
  box-shadow: 0 5px 14px -14px #000000;
}
body .main-nav .nav-tree a,
body .main-nav .nav-tree a:active,
body .main-nav .nav-tree a:hover {
  text-transform: capitalize;
  color: var(--text-color);
  text-decoration: none;
  font-size: 1.3rem;
}
body .main-nav .right-actions {
  text-align: right;
}
body .main-nav .right-actions .user-name {
  margin-right: 10px;
}
body .btn:focus,
body .btn .focus {
  box-shadow: none !important;
}
body .btn.btn-primary {
  color: var(--button-color);
  background-color: var(--button-background);
  border: none;
}
body .btn.btn-primary:hover,
body .btn.btn-primary:focus {
  color: var(--button-hover-color);
  background-color: var(--button-hover-background);
}
body .form-check-input:checked {
  background-color: var(--primary-color);
  border-color: var(--button-border-color);
}
body .page-item .page-link {
  color: var(--text-color);
  border-color: var(--border-color);
}
body .page-item.active .page-link {
  color: var(--button-color);
  background-color: var(--button-background);
  border-color: var(--border-color);
}
body .page-item.active .page-link:hover {
  color: var(--button-hover-color);
  background-color: var(--button-hover-background);
}
body .react-contextmenu {
  background-color: var(--background-color);
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.15);
  box-shadow: 0 0 40px var(--default-box-shadow);
  border-radius: var(--border-radius-basic);
  color: var(--color);
  font-size: 1rem;
  margin: 2px 0 0;
  min-width: 160px;
  outline: none;
  opacity: 0;
  padding: 5px 0;
  pointer-events: none;
  text-align: left;
  transition: opacity 250ms ease !important;
}
body .react-contextmenu.react-contextmenu--visible {
  opacity: 1;
  pointer-events: auto;
  z-index: 9999;
}
body .react-contextmenu.context-with-icons .react-contextmenu-item i {
  min-width: 20px;
}
body .react-contextmenu .react-contextmenu-item {
  background: 0 0;
  border: 0;
  color: #373a3c;
  cursor: pointer;
  font-weight: 400;
  line-height: 1.5;
  padding: 3px 20px;
  text-align: inherit;
  white-space: nowrap;
}
body .react-contextmenu .react-contextmenu-item:hover {
  background: var(--button-background);
}
body .react-contextmenu .react-contextmenu-item:hover,
body .react-contextmenu .react-contextmenu-item:hover > span {
  color: var(--button-color) !important;
}
body .add-plus-icon {
  height: fit-content;
  opacity: 0.5;
  cursor: pointer;
}
body .add-plus-icon:hover {
  opacity: 1;
}
body .icon-bg {
  background-color: var(--background-color);
  padding: 10px 20px;
  font-size: 2rem;
  box-shadow: 0 0 40px var(--default-box-shadow);
  border-radius: var(--border-radius-large);
}
body .word-file {
  max-width: 60px;
  cursor: pointer;
}
body .word-file > .word-icon {
  color: #285391;
}
body .word-file .file-name {
  font-size: 0.71rem;
  line-height: 1.5em;
  height: 3em;
  /* height is 2x line-height, so two lines will display */
  overflow: hidden;
  /* prevents extra lines from being visible */
  word-wrap: break-word;
}
body #welcome-page .welcome-banner {
  position: relative;
  color: #cdbfe3;
  text-align: left;
  text-shadow: 0 1px 0 rgba(0, 0, 0, 0.1);
  background-color: var(--primary-color);
  background-image: var(--primary-color-gradient);
  background-repeat: repeat-x;
  padding: 80px 0 80px 80px;
}
body #login-form {
  position: absolute;
  box-shadow: 0 0 40px var(--default-box-shadow);
  max-width: 550px;
  width: 100%;
  padding: 60px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: var(--border-radius-large);
}
body #login-form button[type="submit"] {
  width: 100%;
  padding-top: 10px;
  padding-bottom: 10px;
  font-size: 1.1rem;
}
body #login-form .switch-to-english {
  position: relative;
  text-decoration: underline;
  float: right;
  margin-top: 30px;
  cursor: pointer;
}
body #login-form .redirect-to-stag {
  width: 100%;
  text-align: center;
  text-decoration: underline;
  cursor: pointer;
  margin-bottom: 10px;
}
body #admin-home {
  width: 1100px;
  position: relative;
  margin: auto;
  padding-top: 20px;
}
body #admin-home .intership-table-container {
  max-width: 100%;
}
body #login-progress {
  position: absolute;
  font-size: 5rem;
  text-align: center;
  top: 50%;
  left: 0;
  right: 0;
  transform: translate(0, -50%);
  opacity: 0.5;
}
body .state-diagram {
  --border-stroke: 10px;
  position: relative;
  display: inline-flex;
}
body .state-diagram > div {
  flex: 1;
}
body .state-diagram .arrow-right {
  font-size: 3rem;
  margin-left: 30px;
  margin-right: 15px;
  display: flex;
  padding-top: 28px;
}
body .state-diagram .part-container {
  position: relative;
  padding: 0;
}
body .state-diagram .part-container .circle-part {
  height: 100px;
  width: 100px;
  border-radius: 100%;
  border: var(--border-stroke) solid var(--primary-color);
  display: flex;
  align-content: center;
  justify-content: center;
  align-items: center;
  outline: solid 2px black;
  outline-offset: -12px;
}
body .state-diagram .part-container .circle-part.outer-black-border {
  position: absolute;
  border: 2px solid black;
  border-collapse: collapse;
}
body .state-diagram .part-container .circle-part.colored-part {
  border: double var(--border-stroke) transparent;
  border-radius: 100%;
  background-origin: border-box;
  background-clip: content-box, border-box;
}
body .state-diagram .part-container .circle-part .center-icon {
  font-size: 2.5rem;
  color: var(--primary-text-color);
  background-clip: text !important;
  color: transparent;
  -webkit-background-clip: text !important;
  -webkit-text-stroke-width: 3px;
  -webkit-text-stroke-color: black;
}
body .state-diagram .description-text {
  text-align: center;
  margin-top: 15px;
  font-size: 1.1rem;
}
body .state-diagram .description-text button {
  position: absolute;
  bottom: -10px;
  width: max-content;
}
/*# sourceMappingURL=global.css.map */